using Newtonsoft.Json;
using System.ComponentModel.DataAnnotations.Schema;

[Table("priecestie")]
public class Priecestie
{
    [JsonProperty("jic")]
    public string JIC { get; set; }

    [JsonProperty("vns")]
    public string VNS { get; set; }

    [JsonProperty("nazov_vns")]
    public string NazovVNS { get; set; }

    [JsonProperty("sm_su")]
    public string SMSU { get; set; }

    [JsonProperty("nazov_or")]
    public string NazovOR { get; set; }

    [JsonProperty("kraj")]
    public string Kraj { get; set; }

    [JsonProperty("okres")]
    public string Okres { get; set; }

    [JsonProperty("obec")]
    public string Obec { get; set; }

    [JsonProperty("km_poloha_priecestia")]
    public string KmPolohaPriecestia { get; set; }

    [JsonProperty("pocet_kolaji")]
    public string PocetKolaji { get; set; }

    [JsonProperty("miestny_nazov")]
    public string MiestnyNazov { get; set; }

    [JsonProperty("tu")]
    public string TU { get; set; }

    [JsonProperty("nazov_tu")]
    public string NazovTU { get; set; }

    [JsonProperty("du")]
    public string DU { get; set; }

    [JsonProperty("nazov_du")]
    public string NazovDU { get; set; }

    [JsonProperty("druh_komunikacie")]
    public string DruhKomunikacie { get; set; }

    [JsonProperty("klasifikacia_stavu")]
    public string KlasifikaciaStavu { get; set; }

    [JsonProperty("kategoria_trate")]
    public string KategoriaTrate { get; set; }

    [JsonProperty("specifikacia_krizovania")]
    public string SpecifikaciaKrizovania { get; set; }

    [JsonProperty("typ_priecestnej_konstrukcie")]
    public string TypPriecestnejKonstrukcie { get; set; }
}
